###################################################
### chunk number 1: 
###################################################
options(width=80)
foo <- packageDescription("phangorn")


###################################################
### chunk number 2: 
###################################################
library(phangorn)
data = matrix(c("r","a","y","g","g","a","c","-","c","t","c","g", 
                "a","a","t","g","g","a","t","-","c","t","c","a",                                          
                "a","a","t","-","g","a","c","c","c","t","?","g"), 
                dimnames = list(c("t1", "t2", "t3"),NULL), nrow=3, byrow=TRUE)
data


###################################################
### chunk number 3: 
###################################################
gapsdata1 = phyDat(data)
gapsdata1


###################################################
### chunk number 4: 
###################################################
gapsdata2 = phyDat(data, type="USER", levels=c("a", "c", "g", "t", "-"), ambiguity = c("?", "n"))
gapsdata2


###################################################
### chunk number 5: 
###################################################
contrast = matrix(data = c(1,0,0,0,0,
    0,1,0,0,0,
    0,0,1,0,0,
    0,0,0,1,0,   
    1,0,1,0,0,
    0,1,0,1,0,
    0,0,0,0,1,
    1,1,1,1,0,
    1,1,1,1,1),
    ncol = 5, byrow = TRUE)
dimnames(contrast)  = list(c("a", "c", "g", "t", "r", "y", "-", "n", "?"), c("a", "c", "g", "t", "-"))
contrast
gapsdata3 = phyDat(data, type="USER", contrast=contrast)
gapsdata3 


###################################################
### chunk number 6: 
###################################################
tree = unroot(rtree(3))
fit = pml(tree, gapsdata3)
fit = optim.pml(fit, optQ=TRUE, subs=c(1,0,1,2,1,0,2,1,2,2), control=pml.control(trace=0))
fit


###################################################
### chunk number 7: 
###################################################
trees = allTrees(5)


###################################################
### chunk number 8: plotAll
###################################################
par(mfrow =c(3,5), mar = c(2,2,2,2)-2)
for(i in 1:15)plot(trees[[i]], cex=1, type="u")


###################################################
### chunk number 9: figAll
###################################################
par(mfrow =c(3,5), mar = c(2,2,2,2)-2)
for(i in 1:15)plot(trees[[i]], cex=1, type="u")


###################################################
### chunk number 10: 
###################################################
toLatex(sessionInfo())


